<%@ Page Language="C#" AutoEventWireup="true"   Inherits="Book.Wap.Room" %>

<!DOCTYPE html  >
<html>
<head id="Head1" runat="server">
    <title></title> 
   <script src="../Javascript/jquery-1.9.1.min.js"></script>
    <script src="template1/date.js"></script>
    
    <style>

        /* 下面CSS用于对页面进行缩放  */
      
            body {
          transform: scale(1); 
        }

        
    </style>
    
<script>

       
    function setbook(o) {  

        if (o == "") {
        
            $("#dept").html(' -- ');
            $("#time").html(" 空闲中  ");
            $("#intro").html(" -- "); 
        }
        else {
            o=o[0];
            $("#dept").html(o["contactdept"]);
            $("#time").html(o["begintime"] + '-' + o["endtime"]);
            $("#intro").html(o["intro"]);
           
        }

    }




    function GetBook() {
        
        GetCurrentBook();
        GetBookList();
        setTimeout("GetBook()", 90000);
    }


    $(document).ready(function () {
        GetBook();
    });




    
</script> 
      
  <style>
      .main-color {
       color:#003366;
      }
  </style>
    
</head>
<body  style="background-color:#449bb6; overflow:hidden;  font-family:微软雅黑" >

    <div style=" background:url(template2/room2.png)  no-repeat ; width:1250px; margin:0 auto; margin-top:50px; min-height:800px;">

 

    <div style="font-size:40px; color:#ffffff; padding-left:20px; padding-top:20px; letter-spacing:4px;  "> 
      <%=Company.Name %>会议状态列表
    </div>
      
  <div  class="main-color" style="  display:inline-block; margin-top:86px;  margin-left:170px;  font-size:30px; ">
        <asp:Label ID="lbl_roomname" runat="server" ></asp:Label>
  </div>
     
       
   
 <div id="bgclock"  class="main-color" style="   display:inline-block;  font-size:30px; margin-right:300px; margin-top:88px;  float:right;  " ></div>
    

   
    <form id="form1" runat="server">    
  
      <div style=" margin-top:120px; margin-left:350px;">
       <table >
       <tr valign="top">
       <td width="800px"  >
       
           
         <!-- Busy -->
          <div id="part12">
            <div id="intro"  style="      font-size:30px; color:#003366;  margin-top:5px;   "></div>
             <div id="time"  style="     font-size:30px; color:#003366;   margin-top:120px;  "></div>
             <div id="dept"  style="     font-size:30px; color:#003366;    margin-top:90px; "></div>
          </div>
        <!-- /Busy -->
  
 
       </td>
       <td width="200px">
      
           <div id="partl11" style=" margin-top:280px;" > 

     </div>
      
       </td>
       </tr>
</table> 
     </div>
       
 
 
<div  style=" height:35px;  margin:80px  auto auto auto;     width:725px"> 
   
  <div id="booklist" style=" margin-top:5px;   color:#ffffff; font-weight:bold; width:700px"></div>
  </div>	
 
  
      
<script>   
    clock(); 
</script>

 
    </form>
    
    
        </div>
    


   
</body>




<script>

    function GetCurrentBook() {
   
        $.getJSON(  
            "GetAjaxCurrentBook.aspx",
            { 
                "roomid":<%=Request["roomid"] %>,  
                random: Math.random() 
            },

            function(d) {   
                setbook(d);
            });
         
    } ;
 
    


    
    
    function GetBookList() {
     
        $.getJSON(
        "GetAjaxBookList.aspx",
           { 
               "roomid":<%=Request["roomid"] %>, 
               random: Math.random() },


    function(data) { 
       

        if(data=="")
        { 
            $("#booklist").html('');
            return;
        }

        var html = '<marquee scrollamount=10 scrolldelay=200> 接下来会议：';

        try
        {

            $.each(data, function(i, entry) {
               
                html += entry['begintime'] +' - '+entry['endtime']+"&nbsp;&nbsp;"+entry['intro']+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";         
                   
            });
        }
        catch(e)
        {
             
        }

        html += '</marquee>';




        $("#booklist").html(html);


    });


    }
    
    </script>
    
      

</html>